FreeMat

- Main Page
- Related Pages

vtkMemoryLimitImageDataStreamer

Section: Visualization Toolkit Parallel Classes

# Usage

To satisfy a request, this filter calls update on its input many times with smaller update extents. All processing up stream streams smaller pieces.

To create an instance of class vtkMemoryLimitImageDataStreamer, simply invoke its constructor as follows

      obj = vtkMemoryLimitImageDataStreamer

# Methods

The class vtkMemoryLimitImageDataStreamer has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMemoryLimitImageDataStreamer class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMemoryLimitImageDataStreamer = obj.NewInstance ()`
- `vtkMemoryLimitImageDataStreamer = obj.SafeDownCast (vtkObject o)`
- `obj.SetMemoryLimit (long )` - Set / Get the memory limit in kilobytes.
- `long = obj.GetMemoryLimit ()` - Set / Get the memory limit in kilobytes.